postSetupIntentsIntentConfirm :: MonadHTTP m=> Textintent | Constraints: Maximum length of 5000
-> Maybe PostSetupIntentsIntentConfirmRequestBodyThe request body to send
-> ClientT m (Response PostSetupIntentsIntentConfirmResponse)Monadic computation which returns the result of the operation
POST /v1/setup_intents/{intent}/confirm<p>Confirm that your customer intends to set up the current or provided payment method. For example, you would confirm a SetupIntent when a customer hits the “Save” button on a payment method management page on your website.</p>
<p>If the selected payment method does not require any additional steps from the customer, the SetupIntent will transition to the <code>succeeded</code> status.</p>
<p>Otherwise, it will transition to the <code>requires_action</code> status and suggest additional actions via <code>next_action</code>. If setup fails, the SetupIntent will transition to the <code>requires_payment_method</code> status.</p>